<?
/** 
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
 */
 if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");
 include('config/config_uplvitem.php');

$action = $_GET['action'];

switch ($action){ 
	case 'itemuplv':
        $vitri = $_GET['vitri'];    $vitri = abs(intval($vitri));
        $item_code = $_GET['item_code'];
        $jbkhoa = $_GET['jbkhoa'];    $jbkhoa = abs(intval($jbkhoa));
		$gcoin = $_GET['gcoin'];    $gcoin = abs(intval($gcoin));
        
        if($vitri < 0) {
            echo '<font color="red"><b>Vị trí Item sai</b></font>';
        } else if(strlen($item_code) != 32) {
            echo '<font color="red"><b>Item Code sai</b></font>';
        } else if($jbkhoa < 0) {
            echo '<font color="red"><b>JB Khóa phải lớn hơn 0.</b></font>';
        } else if($jbkhoa > $_SESSION['acc_jbkhoa']) {
            echo '<font color="red"><b>JB Khóa của tài khoản không đủ.</b></font>';
        } else if($gcoin < 0) {
            echo '<font color="red"><b>Gcoin phải lớn hơn 0.</b></font>';
        } else if($gcoin > $_SESSION['acc_gcoin']) {
            echo '<font color="red"><b>Gcoin của tài khoản không đủ.</b></font>';
        } else {
            $getcontent_url = $server_url . "/sv_maychaos.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
                'action'    =>  'itemuplv',
                'vitri'    =>  $vitri,
                'item_code'   =>  $item_code,
                'jbkhoa'   =>  $jbkhoa,
				'gcoin'   =>  $gcoin,
                
                'pagesv'	=>	'sv_item_uplv',
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            );
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);
            
            if ( empty($reponse) ) echo "Server bảo trì.";
            elseif($reponse == "login_other") {
            	echo "Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.";
            	session_destroy();
            }
            else {
				$info = explode('<vweb>',$reponse);
				if ($info[0] == 'OK') {
					echo "|OK|<span class=color-green>Item đã được nâng cấp thành công vui lòng load lại trang để cập nhật dữ liệu.</span>|";
					$_SESSION['acc_jbkhoa'] = $_SESSION['acc_jbkhoa']-$jbkhoa;
					$_SESSION['acc_gcoin'] = $_SESSION['acc_gcoin']-$gcoin;
					} else echo "<font color='red'><b>$reponse</b></font>";
            }
        }
	break;
}



?>